Index: plugins/dcRevisions/inc/class.dc.revisions.php
===================================================================
--- plugins/dcRevisions/inc/class.dc.revisions.php	(revision 721)
+++ plugins/dcRevisions/inc/class.dc.revisions.php	(revision 721)
@@ -0,0 +1,254 @@
+<?php
+# -- BEGIN LICENSE BLOCK ----------------------------------
+# This file is part of dcRevisions, a plugin for Dotclear.
+#
+# Copyright (c) 2010 Tomtom and contributors
+# http://blog.zenstyle.fr/
+#
+# Licensed under the GPL version 2.0 license.
+# A copy of this license is available in LICENSE file or at
+# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+# -- END LICENSE BLOCK ------------------------------------
+
+class dcRevisions
+{
+	public function __construct($core)
+	{
+		$this->core = $core;
+	}
+	
+	public function getRevisions($params,$count_only = false)
+	{
+		if ($count_only) {
+			$f = 'COUNT(revision_id)';
+		}
+		else {
+			$f = 'R.revision_id, R.post_id, R.user_id, R.revision_type, '.
+			'R.revision_dt, R.revision_tz, R.revision_excerpt_diff, '.
+			'R.revision_excerpt_xhtml_diff, R.revision_content_diff, '.
+			'R.revision_content_xhtml_diff, U.user_url, U.user_name, '.
+			'U.user_firstname, U.user_displayname';
+		}
+		
+		$strReq = 'SELECT '.$f.' FROM '.$this->core->prefix.'revision R '.
+		'LEFT JOIN '.$this->core->prefix.'user U ON R.user_id = U.user_id ';
+		
+		if (!empty($params['from'])) {
+			$strReq .= $params['from'].' ';
+		}
+		
+		$strReq .= "WHERE R.blog_id = '".$this->core->con->escape($this->core->blog->id)."' ";
+		
+		if (!empty($params['post_id'])) {
+			if (is_array($params['post_id'])) {
+				array_walk($params['post_id'],create_function('&$v,$k','if($v!==null){$v=(integer)$v;}'));
+			} else {
+				$params['post_id'] = array((integer) $params['post_id']);
+			}
+			$strReq .= 'AND R.post_id '.$this->core->con->in($params['post_id']);
+		}
+		
+		if (!empty($params['revision_id'])) {
+			if (is_array($params['revision_id'])) {
+				array_walk($params['revision_id'],create_function('&$v,$k','if($v!==null){$v=(integer)$v;}'));
+			} else {
+				$params['revision_id'] = array((integer) $params['revision_id']);
+			}
+			$strReq .= 'AND R.revision_id '.$this->core->con->in($params['revision_id']);
+		}
+		
+		if (isset($params['post_type'])) {
+			if (is_array($params['post_type']) && !empty($params['post_type'])) {
+				$strReq .= 'AND R.revision_type '.$this->core->con->in($params['revision_type']);
+			} elseif ($params['post_type'] != '') {
+				$strReq .= "AND R.revision_type = '".$this->core->con->escape($params['revision_type'])."' ";
+			}
+		}
+		
+		if (!empty($params['sql'])) {
+			$strReq .= $params['sql'].' ';
+		}
+		
+		if (!$count_only) {
+			if (!empty($params['order'])) {
+				$strReq .= 'ORDER BY '.$this->core->con->escape($params['order']).' ';
+			} else {
+				$strReq .= 'ORDER BY revision_dt DESC ';
+			}
+		}
+		
+		if (!$count_only && !empty($params['limit'])) {
+			$strReq .= $this->core->con->limit($params['limit']);
+		}
+		
+		$rs = $this->core->con->select($strReq);
+		$rs->core = $this->core;
+		$rs->extend('dcRevisionsExtensions');
+		
+		return $rs;
+	}
+	
+	public function addRevision($pcur,$post_id)
+	{
+		$rs = $this->core->con->select(
+			'SELECT MAX(revision_id) '.
+			'FROM '.$this->core->prefix.'revision' 
+		);
+		$revision_id = $rs->f(0) + 1; 
+		
+		$rs = $this->core->blog->getPosts(array('post_id' => $post_id));
+		
+		$old = array(
+			'post_excerpt' => $rs->post_excerpt,
+			'post_excerpt_xhtml' => $rs->post_excerpt_xhtml,
+			'post_content' => $rs->post_content,
+			'post_content_xhtml' => $rs->post_content_xhtml
+		);
+		$new = array(
+			'post_excerpt' => $pcur->post_excerpt,
+			'post_excerpt_xhtml' => $pcur->post_excerpt_xhtml,
+			'post_content' => $pcur->post_content,
+			'post_content_xhtml' => $pcur->post_content_xhtml
+		);
+		
+		$diff = $this->getDiff($new,$old);
+		
+		$insert = false;
+		foreach ($diff as $k => $v) {
+			if ($v !== '') {
+				$insert = true;
+			}
+		}
+		
+		if ($insert) {
+			$rcur = $this->core->con->openCursor($this->core->prefix.'revision');
+			$rcur->revision_id = $revision_id;
+			$rcur->post_id = $post_id;
+			$rcur->user_id = $this->core->auth->userID();
+			$rcur->blog_id = $this->core->blog->id;
+			$rcur->revision_dt = date('Y-m-d H:i:s');
+			$rcur->revision_tz = $this->core->auth->getInfo('user_tz');
+			$rcur->revision_type = $pcur->post_type;
+			$rcur->revision_excerpt_diff = $diff['post_excerpt'];
+			$rcur->revision_excerpt_xhtml_diff = $diff['post_excerpt_xhtml'];
+			$rcur->revision_content_diff = $diff['post_content'];
+			$rcur->revision_content_xhtml_diff = $diff['post_content_xhtml'];
+	 
+			$this->core->con->writeLock($this->core->prefix.'revision');
+			$rcur->insert();
+			$this->core->con->unlock();
+		}
+	}
+	
+	public function getDiff($n,$o)
+	{
+		$diff = array(
+			'post_excerpt' => '',
+			'post_excerpt_xhtml' => '',
+			'post_content' => '',
+			'post_content_xhtml' => ''
+		);
+		
+		try {
+			foreach ($diff as $k => $v) {
+				$diff[$k] = diff::uniDiff($n[$k],$o[$k]);
+			}
+		
+			return $diff;
+		}
+		catch (Exception $e)
+		{
+			$this->core->error->add($e->getMessage());
+		}
+	}
+	
+	public function setPatch($pid,$rid)
+	{
+		if (!$this->canPatch($rid)) {
+			throw new Exception(__('You are not allowed to patch this entry with this revision'));
+		}
+		
+  		try
+		{
+			$patch = $this->getPatch($pid,$rid);
+
+			$p = $this->core->blog->getPosts(array('post_id' => $pid));
+
+			$cur = $this->core->con->openCursor($this->core->prefix.'post');
+
+			$cur->post_title = $p->post_title;
+			$cur->cat_id = $p->cat_id ? $p->cat_id : null;
+			$cur->post_dt = $p->post_dt ? date('Y-m-d H:i:00',strtotime($p->post_dt)) : '';
+			$cur->post_format = $p->post_format;
+			$cur->post_password = $p->post_password;
+			$cur->post_lang = $p->post_lang;
+			$cur->post_notes = $p->post_notes;
+			$cur->post_status = $p->post_status;
+			$cur->post_selected = (integer) $p->post_selected;
+			$cur->post_open_comment = (integer) $p->post_open_comment;
+			$cur->post_open_tb = (integer) $p->post_open_tb;
+
+			$cur->post_excerpt = $patch['post_excerpt'];
+			$cur->post_excerpt_xhtml = $patch['post_excerpt_xhtml'];
+			$cur->post_content = $patch['post_content'];
+			$cur->post_content_xhtml = $patch['post_content_xhtml'];
+
+			# --BEHAVIOR-- adminBeforePostUpdate
+			$this->core->callBehavior('adminBeforePostUpdate',$cur,$pid);
+			
+			$this->core->auth->sudo(array($this->core->blog,'updPost'),$pid,$cur);
+			
+			# --BEHAVIOR-- adminAfterPostUpdate
+			$this->core->callBehavior('adminAfterPostUpdate',$cur,$pid);
+			
+			http::redirect('post.php?id='.$pid.'&upd=1');
+		}
+		catch (Exception $e)
+		{
+			$this->core->error->add($e->getMessage());
+		}
+	}
+	
+	public function getPatch($pid,$rid)
+	{
+		$params = array(
+			'post_id' => $pid
+		);
+		
+		$p = $this->core->blog->getPosts($params);
+		$r = $this->getRevisions($params);
+		
+		$patch = array(
+			'post_excerpt' => $p->post_excerpt,
+			'post_excerpt_xhtml' => $p->post_excerpt_xhtml,
+			'post_content' => $p->post_content,
+			'post_content_xhtml' => $p->post_content_xhtml
+		);
+
+		while ($r->fetch()) {
+			foreach ($patch as $k => $v) {
+				if ($k === 'post_excerpt') { $f = 'revision_excerpt_diff'; }
+				if ($k === 'post_excerpt_xhtml') { $f = 'revision_excerpt_xhtml_diff'; }
+				if ($k === 'post_content') { $f = 'revision_content_diff'; }
+				if ($k === 'post_content_xhtml') { $f = 'revision_content_xhtml_diff'; }
+				
+				$patch[$k] = diff::uniPatch($v,$r->{$f});
+			}
+
+			if ($r->revision_id === $rid) {
+				break;
+			}
+		}
+		
+		return $patch;
+	}
+	
+	protected function canPatch($ird)
+	{
+		$r = $this->getRevisions(array('revision_id' => $rid));
+		
+		return ($r->canPatch());
+	}
+}
+
+?>
Index: plugins/dcRevisions/js/_revision.js
===================================================================
--- plugins/dcRevisions/js/_revision.js	(revision 721)
+++ plugins/dcRevisions/js/_revision.js	(revision 721)
@@ -0,0 +1,155 @@
+/*
+# -- BEGIN LICENSE BLOCK ----------------------------------
+# This file is part of dcRevisions, a plugin for Dotclear.
+#
+# Copyright (c) 2010 Tomtom and contributors
+# http://blog.zenstyle.fr/
+#
+# Licensed under the GPL version 2.0 license.
+# A copy of this license is available in LICENSE file or at
+# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+# -- END LICENSE BLOCK ------------------------------------
+*/
+dotclear.revisionExpander = function() {
+	$('#revisions-list tr.line').each(function() {
+		var img = document.createElement('img');
+		img.src = dotclear.img_plus_src;
+		img.alt = dotclear.img_plus_alt;
+		img.className = 'expand';
+		$(img).css('cursor','pointer');
+		img.line = this;
+		img.onclick = function() {
+			dotclear.viewRevisionContent(this,this.line);
+		};
+		$(this).find('td.rid').prepend(img);
+	});
+};
+
+dotclear.viewRevisionContent = function(img,line) {
+	var revisionId = line.id.substr(1);
+	var postId = $("#id").val();
+	var tr = document.getElementById('re' + revisionId);
+	if (!tr ){
+		tr = document.createElement('tr');
+		tr.id = 're' + revisionId;
+		var td = document.createElement('td');
+		td.colSpan = 5;
+		td.className = 'expand';
+		tr.appendChild(td);
+		img.src = dotclear.img_minus_src;
+		img.alt = dotclear.img_minus_alt;
+		$.get(
+			'services.php',{
+				f: 'getPatch',
+				pid: postId,
+				rid: revisionId
+			},
+			function(data){
+				var rsp = $(data).children('rsp')[0];
+				if(rsp.attributes[0].value == 'ok'){
+					var excerpt_nodes = $(rsp).find('post_excerpt_xhtml').children();
+					var content_nodes = $(rsp).find('post_content_xhtml').children();
+					if (excerpt_nodes.size() == 0 && content_nodes.size() == 0) {
+						$(td).append('<strong>' + dotclear.msg.content_identical + '</strong>');
+					}
+					else {
+						var excerpt = $(rsp).find('post_excerpt_xhtml');
+						var content = $(rsp).find('post_content_xhtml');
+						var table = '<table class="preview-rev">';
+						table += dotclear.viewRevisionRender(excerpt_nodes,dotclear.msg.excerpt,revisionId);
+						table += dotclear.viewRevisionRender(content_nodes,dotclear.msg.content,revisionId);
+						table += '</table>';
+						$(td).append(table);
+					}
+				}
+				else {
+					alert($(rsp).find('message').text());
+				}
+			}
+		);
+		$(line).toggleClass('expand');
+		line.parentNode.insertBefore(tr,line.nextSibling);
+	}
+	else if (tr.style.display=='none') {
+		$(tr).toggle();
+		$(line).toggleClass('expand');
+		img.src = dotclear.img_minus_src;
+		img.alt = dotclear.img_minus_alt
+	}
+	else {
+		$(tr).toggle();
+		$(line).toggleClass('expand');
+		img.src = dotclear.img_plus_src;
+		img.alt = dotclear.img_plus_alt;
+	}
+};
+
+dotclear.viewRevisionRender = function(nodes,title,revisionId){
+	var res = lines = previous = '';
+		
+	nodes.each(function(k) {
+		var name = this.nodeName;
+		var content = $(this).text();
+		
+		var ol = $(this).attr('oline') != undefined ? $(this).attr('oline') : '';
+		var nl = $(this).attr('nline') != undefined ? $(this).attr('nline') : '';
+		
+		if (name == 'skip') {
+			ol = nl = '&hellip;';
+		}
+		
+		var class = '';
+		
+		if (name == 'skip') {
+			class = ' skip';
+		}
+		if (name == 'context') {
+			class = ' context';
+		}
+		if (name == 'insert') {
+			class = ' insert';
+		}
+		if (name == 'delete') {
+			class = ' delete';
+		}
+		
+		if (name != previous && (previous == '' || previous == 'context')) {
+			class += ' first';
+		}
+		var next = nodes.size() > k+1 ? nodes.get(k+1).nodeName : '';
+		if (name != next && next != 'insert' && next != 'delete') {
+			class += ' last';
+		}
+		
+		previous = name;
+		
+		lines += '<tr><td class="minimal col-line">'+ol+
+		'</td><td class="minimal col-line">'+nl+
+		'</td><td class="'+class+'">'+content+
+		'</td></tr>';
+	});
+	
+	if (lines != '') {
+		res = '<thead><tr class="rev-header"><th colspan="3">'+title+'</th></tr>'+
+		'<tr class="rev-number"><th class="minimal nowrap">'+dotclear.msg.current+
+		'</th><th class="minimal nowrap">r'+revisionId+
+		'</th><th class="maximal"></th></tr></thead><tbody>'+
+		lines + '</tbody>';
+	}
+	
+	return res;
+};
+
+$(function() {
+	$('#edit-entry').onetabload(function() {
+		$('#revisions-area label').toggleWithLegend(
+			$('#revisions-area').children().not('label'),{
+				cookie:'dcx_post_revisions',
+				fn:dotclear.revisionExpander()
+			}
+		);
+		$('#revisions-list tr.line a.patch').click(function() {
+			return window.confirm(dotclear.msg.confirm_apply_patch);
+		});
+	});
+});
Index: plugins/fairTrackbacks/_define.php
===================================================================
--- plugins/fairTrackbacks/_define.php	(revision 464)
+++ plugins/fairTrackbacks/_define.php	(revision 270)
@@ -17,8 +17,6 @@
 	/* Author */			"Olivier Meunier",
 	/* Version */			'1.1',
-	array(
-		'permissions' =>	'usage,contentadmin',
-		'priority' =>		200
-	)
+	/* Permissions */		'usage,contentadmin',
+	/* Priority */			200
 );
 ?>
Index: plugins/importExport/_admin.php
===================================================================
--- plugins/importExport/_admin.php	(revision 324)
+++ plugins/importExport/_admin.php	(revision 270)
@@ -25,5 +25,5 @@
 function importExportDashboardFavs($core,$favs)
 {
-	$favs['importExport'] = new ArrayObject(array('importExport','Import/Export','plugin.php?p=importExport',
+	$favs['importExport'] = new ArrayObject(array('importExport',__('Import/Export'),'plugin.php?p=importExport',
 		'index.php?pf=importExport/icon.png','index.php?pf=importExport/icon-big.png',
 		'admin',null,null));
Index: plugins/importExport/_define.php
===================================================================
--- plugins/importExport/_define.php	(revision 464)
+++ plugins/importExport/_define.php	(revision 270)
@@ -17,8 +17,6 @@
 	/* Author */			"Olivier Meunier",
 	/* Version */			'2.4',
-	array(
-		'permissions' => 'admin',
-		'priority' => 10
-	)
+	/* Permissions */		'admin',
+	/* Priority */			10
 );
 ?>
Index: plugins/importExport/inc/class.dc.export.flat.php
===================================================================
--- plugins/importExport/inc/class.dc.export.flat.php	(revision 557)
+++ plugins/importExport/inc/class.dc.export.flat.php	(revision 270)
@@ -157,6 +157,7 @@
 		'<p>'.sprintf(__('This will create an export of your current blog: %s'),
 		'<strong>'.html::escapeHTML($this->core->blog->name).'</strong>').'</p>'.
-		'<p><label for="file_name" class="classic">'.__('File name:').'</label>'.
+		'<p><label for="file_name" class="classic">'.__('File name:').' '.
 		form::field(array('file_name','file_name'),25,255,date('Y-m-d-').html::escapeHTML($this->core->blog->id.'-backup.txt')).
+		'</label> '.
 		'<input type="submit" value="'.__('Export').'" />'.
 		form::hidden(array('do'),'export_blog').
@@ -171,6 +172,7 @@
 			'<form action="'.$this->getURL(true).'" method="post">'.
 			'<fieldset><legend>'.__('Export all content').'</legend>'.
-			'<p><label for="file_name2" class="classic">'.__('File name:').'</label>'.
+			'<p><label for="file_name2" class="classic">'.__('File name:').' '.
 			form::field(array('file_name','file_name2'),25,255,date('Y-m-d-').'dotclear-backup.txt').
+			'</label> '.
 			'<input type="submit" value="'.__('Export all content').'" />'.
 			form::hidden(array('do'),'export_all').
Index: plugins/importExport/inc/class.dc.import.feed.php
===================================================================
--- plugins/importExport/inc/class.dc.import.feed.php	(revision 557)
+++ plugins/importExport/inc/class.dc.import.feed.php	(revision 270)
@@ -86,11 +86,11 @@
 		'<form action="'.$this->getURL(true).'" method="post">'.
 		
-		'<div class="fieldset">'.
+		'<fieldset>'.
 		$this->core->formNonce().
 		form::hidden(array('do'),1).
-		'<p><label for="feed_url">'.__('Feed URL:').'</label>'.
-		form::field('feed_url',40,300,html::escapeHTML($this->feed_url)).'</p>'.
-		'<p><input type="submit" value="'.__('Import').'" /></p>'.
-		'</div>'.
+		'<p><label for="feed_url">'.__('Feed URL:').' '.
+		form::field('feed_url',40,300,html::escapeHTML($this->feed_url)).'</label></p>'.
+		'<p><input type="submit" value="'.__('Send').'" /></p>'.
+		'</fieldset>'.
 		'</form>';
 	}
Index: plugins/importExport/inc/class.dc.import.flat.php
===================================================================
--- plugins/importExport/inc/class.dc.import.flat.php	(revision 557)
+++ plugins/importExport/inc/class.dc.import.flat.php	(revision 270)
@@ -160,11 +160,11 @@
 		'<form action="'.$this->getURL(true).'" method="post" enctype="multipart/form-data">'.
 		
-		'<div class="fieldset">'.
+		'<fieldset>'.
 		$this->core->formNonce().
 		form::hidden(array('do'),1).
 		form::hidden(array('MAX_FILE_SIZE'),DC_MAX_UPLOAD_SIZE).
-		'<p><label for="up_single_file">'.__('Upload a backup file').'</label>'.
+		'<p><label for="up_single_file">'.__('Upload a backup file').' '.
 		'<input type="file" id="up_single_file" name="up_single_file" size="20" />'.
-		'</p>';
+		'</label></p>';
 		
 		$public_files = $this->getPublicFiles();
@@ -178,6 +178,6 @@
 		
 		echo
-		'<p><input type="submit" value="'.__('Import').'" /></p>'.
-		'</div>'.
+		'<p><input type="submit" value="'.__('Send').'" /></p>'.
+		'</fieldset>'.
 		'</form>';
 		
@@ -189,25 +189,25 @@
 			'<div>'.form::hidden(array('MAX_FILE_SIZE'),DC_MAX_UPLOAD_SIZE).'</div>'.
 			
-			'<div class="fieldset">'.
+			'<fieldset>'.
 			$this->core->formNonce().
 			form::hidden(array('do'),1).
 			form::hidden(array('MAX_FILE_SIZE'),DC_MAX_UPLOAD_SIZE).
-			'<p><label for="up_full_file">'.__('Upload a backup file').'</label>'.
+			'<p><label for="up_full_file">'.__('Upload a backup file').' '.
 			'<input type="file" id="up_full_file" name="up_full_file" size="20" />'.
-			'</p>';
+			'</label></p>';
 			
 			echo
-			'<p><label for="public_full_file">'.__('or pick up a local file in your public directory').'</label>'.
+			'<p><label for="public_full_file">'.__('or pick up a local file in your public directory').' '.
 			form::combo('public_full_file',$public_files, '', '', '', $empty).
-			'</p>';
+			'</label></p>';
 			
 			echo
-			'<p class="form-note warning"><strong>'.__('Warning: This will reset all the content of your database, except users.').'</strong></p>'.
-			
-			'<p><label for="your_pwd" class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Your password:').'</label>'.
-			form::password('your_pwd',20,255).'</p>'.
-			
-			'<p><input type="submit" value="'.__('Import').'" /></p>'.
-			'</div>'.
+			'<p><strong>'.__('Warning: This will reset all the content of your database, except users.').'</strong></p>'.
+			
+			'<p><label for="your_pwd">'.__('Your password:').
+			form::password('your_pwd',20,255).'</label></p>'.
+			
+			'<p><input type="submit" value="'.__('Send').'" /></p>'.
+			'</fieldset>'.
 			'</form>';
 		}
Index: plugins/importExport/inc/flat/class.dc.import.php
===================================================================
--- plugins/importExport/inc/flat/class.dc.import.php	(revision 298)
+++ plugins/importExport/inc/flat/class.dc.import.php	(revision 270)
@@ -371,8 +371,4 @@
 	private function insertPref($pref)
 	{
-		if ($this->prefExists($pref->pref_ws,$pref->pref_id,$pref->user_id)) {
-			return;
-		}
-		
 		$this->cur_pref->clean();
 		
@@ -755,21 +751,4 @@
 		$this->stack['users'][$user_id] = !$rs->isEmpty();
 		return $this->stack['users'][$user_id];
-	}
-	
-	private function prefExists($pref_ws,$pref_id,$user_id)
-	{
-		$strReq = 'SELECT pref_id,pref_ws,user_id '.
-				'FROM '.$this->prefix.'pref '.
-				"WHERE pref_id = '".$this->con->escape($pref_id)."' ".
-				"AND pref_ws = '".$this->con->escape($pref_ws)."' ";
-		if (!$user_id) {
-			$strReq .= "AND user_id IS NULL ";
-		} else {
-			$strReq .= "AND user_id = '".$this->con->escape($user_id)."' ";
-		}
-		
-		$rs = $this->con->select($strReq);
-		
-		return !$rs->isEmpty();
 	}
 	
Index: plugins/importExport/index.php
===================================================================
--- plugins/importExport/index.php	(revision 696)
+++ plugins/importExport/index.php	(revision 270)
@@ -17,5 +17,5 @@
 $modules['i'] = new ArrayObject(array(
 	'dcImportFlat' => dirname(__FILE__).'/inc/class.dc.import.flat.php',
-	'dcImportFeed' => dirname(__FILE__).'/inc/class.dc.import.feed.php'
+	'dcImportFeed' => dirname(__FILE__).'/inc/class.dc.import.feed.php',
 ));
 $modules['e'] = new ArrayObject(array(
@@ -97,5 +97,5 @@
 {
 	echo '<h2><a href="'.$p_url.'">'.__('Import/Export').'</a>'.
-	' &rsaquo; <span class="page-title">'.html::escapeHTML($current_module->name).'</span></h2>';
+	' &rsaquo; '.html::escapeHTML($current_module->name).'</h2>';
 	
 	echo '<div id="ie-gui">';
@@ -105,5 +105,5 @@
 else
 {
-	echo '<h2 class="page-title">'.__('Import/Export').'</h2>';
+	echo '<h2>'.__('Import/Export').'</h2>';
 	echo '<h3>'.__('Import').'</h3>';
 	
Index: plugins/maintenance/_admin.php
===================================================================
--- plugins/maintenance/_admin.php	(revision 324)
+++ plugins/maintenance/_admin.php	(revision 270)
@@ -20,5 +20,5 @@
 function maintenanceDashboardFavs($core,$favs)
 {
-	$favs['maintenance'] = new ArrayObject(array('maintenance','Maintenance','plugin.php?p=maintenance',
+	$favs['maintenance'] = new ArrayObject(array('maintenance',__('Maintenance'),'plugin.php?p=maintenance',
 		'index.php?pf=maintenance/icon.png','index.php?pf=maintenance/icon-big.png',
 		null,null,null));
Index: plugins/maintenance/_define.php
===================================================================
--- plugins/maintenance/_define.php	(revision 464)
+++ plugins/maintenance/_define.php	(revision 270)
@@ -16,5 +16,6 @@
 	/* Description*/		"Maintain your database",
 	/* Author */			"Olivier Meunier",
-	/* Version */			'1.1'
+	/* Version */			'1.1',
+	/* Permissions */		null
 );
 ?>
Index: plugins/maintenance/index.php
===================================================================
--- plugins/maintenance/index.php	(revision 500)
+++ plugins/maintenance/index.php	(revision 270)
@@ -69,5 +69,5 @@
 
 <body>
-<h2 class="page-title"><?php echo __('Maintenance'); ?></h2>
+<h2><?php echo __('Maintenance'); ?></h2>
 
 <?php
Index: plugins/pages/_admin.php
===================================================================
--- plugins/pages/_admin.php	(revision 324)
+++ plugins/pages/_admin.php	(revision 270)
@@ -21,8 +21,8 @@
 function pages_dashboard_favs($core,$favs)
 {
-	$favs['pages'] = new ArrayObject(array('pages','Pages','plugin.php?p=pages',
+	$favs['pages'] = new ArrayObject(array('pages',__('Pages'),'plugin.php?p=pages',
 		'index.php?pf=pages/icon.png','index.php?pf=pages/icon-big.png',
 		'contentadmin,pages',null,null));
-	$favs['newpage'] = new ArrayObject(array('newpage','New page','plugin.php?p=pages&amp;act=page',
+	$favs['newpage'] = new ArrayObject(array('newpage',__('New page'),'plugin.php?p=pages&amp;act=page',
 		'index.php?pf=pages/icon-np.png','index.php?pf=pages/icon-np-big.png',
 		'contentadmin,pages',null,null));
Index: plugins/pages/_define.php
===================================================================
--- plugins/pages/_define.php	(revision 464)
+++ plugins/pages/_define.php	(revision 270)
@@ -17,8 +17,6 @@
 	/* Author */		"Olivier Meunier",
 	/* Version */		'1.1.1',
-	array(
-		'permissions' =>	'contentadmin,pages',
-		'priority' =>	999
-	)
+	/* Permissions */	'contentadmin,pages',
+	999
 );
 ?>
Index: plugins/pages/list.php
===================================================================
--- plugins/pages/list.php	(revision 578)
+++ plugins/pages/list.php	(revision 270)
@@ -147,5 +147,4 @@
 	$combo_action[__('publish')] = 'publish';
 	$combo_action[__('unpublish')] = 'unpublish';
-	$combo_action[__('schedule')] = 'schedule';
 	$combo_action[__('mark as pending')] = 'pending';
 }
@@ -177,5 +176,5 @@
 <body>
 <?php
-echo '<h2>'.html::escapeHTML($core->blog->name).' &rsaquo; <span class="page-title">'.__('Pages').'</span></h2>'.
+echo '<h2>'.html::escapeHTML($core->blog->name).' &rsaquo; '.__('Pages').'</h2>'.
 '<p class="top-add"><a class="button add" href="'.$p_url.'&amp;act=page">'.__('New page').'</a></p>';
 
Index: plugins/pages/page.php
===================================================================
--- plugins/pages/page.php	(revision 559)
+++ plugins/pages/page.php	(revision 270)
@@ -320,15 +320,18 @@
 
 echo '<h2>'.html::escapeHTML($core->blog->name).
-' &rsaquo; <a href="'.$p_url.'">'.__('Pages').'</a> &rsaquo; <span class="page-title">'.$page_title; 
-	if ($post_id) {
-		echo ' &ldquo;'.$post_title.'&rdquo;';
-	}
-echo	'</span></h2>';
+' &rsaquo; <a href="'.$p_url.'">'.__('Pages').'</a> &rsaquo; '.$page_title;
 
 if ($post_id && $post->post_status == 1) {
-	echo '<p><a href="'.$post->getURL().'" onclick="window.open(this.href);return false;" title="'.$post_title.' ('.__('new window').')'.'">'.__('Go to this page on the site').' <img src="images/outgoing-blue.png" alt="" /></a></p>';
-}
-
-echo '';
+	echo ' - <a id="post-preview" href="'.$post->getURL().'" class="button">'.__('View page').'</a>';
+} elseif ($post_id) {
+	$preview_url =
+	$core->blog->url.$core->url->getBase('pagespreview').'/'.
+	$core->auth->userID().'/'.
+	http::browserUID(DC_MASTER_KEY.$core->auth->userID().$core->auth->getInfo('user_pwd')).
+	'/'.$post->post_url;
+	echo ' - <a id="post-preview" href="'.$preview_url.'" class="button">'.__('Preview page').'</a>';
+}
+
+echo '</h2>';
 
 if ($post_id)
@@ -358,87 +361,38 @@
 	echo '<div class="multi-part" title="'.__('Edit page').'" id="edit-entry">';
 	echo '<form action="'.html::escapeURL($redir_url).'" method="post" id="entry-form">';
-
-	echo '<div id="entry-wrapper">';
-	echo '<div id="entry-content"><div class="constrained">';
-	
-	echo
-	'<p class="col"><label for="post_title" class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Title:').
-	form::field('post_title',20,255,html::escapeHTML($post_title),'maximal').
-	'</label></p>'.
-	
-	'<p class="area" id="excerpt-area"><label for="post_excerpt">'.__('Excerpt:').'</label> '.
-	form::textarea('post_excerpt',50,5,html::escapeHTML($post_excerpt)).
-	'</p>'.
-	
-	'<p class="area"><label class="required" '.
-	'for="post_content"><abbr title="'.__('Required field').'">*</abbr> '.__('Content:').'</label> '.
-	form::textarea('post_content',50,$core->auth->getOption('edit_size'),html::escapeHTML($post_content)).
-	'</p>';
-	
-	echo
-	'<p class="area" id="notes-area"><label for="post_notes">'.__('Notes:').'</label>'.
-	form::textarea('post_notes',50,5,html::escapeHTML($post_notes)).
-	'</p>';
-
-	# --BEHAVIOR-- adminPageForm
-	$core->callBehavior('adminPageForm',isset($post) ? $post : null);
-	
-	echo
-	'<p>'.
-	($post_id ? form::hidden('id',$post_id) : '').
-	'<input type="submit" value="'.__('Save').' (s)" '.
-	'accesskey="s" name="save" /> ';
-
-	if ($post_id) {
-		$preview_url =
-		$core->blog->url.$core->url->getBase('pagespreview').'/'.
-		$core->auth->userID().'/'.
-		http::browserUID(DC_MASTER_KEY.$core->auth->userID().$core->auth->getInfo('user_pwd')).
-		'/'.$post->post_url;
-		echo '<a id="post-preview" href="'.$preview_url.'" class="button">'.__('Preview').'</a>';
-	}
-	
-	echo
-	($can_delete ? '<input type="submit" class="delete" value="'.__('Delete').'" name="delete" />' : '').
-	$core->formNonce().
-	'</p>';
-	
-	echo '</div></div>';		// End #entry-content
-	echo '</div>';		// End #entry-wrapper
-
 	echo '<div id="entry-sidebar">';
 	
 	echo
 	'<p><label for="post_status">'.__('Page status:').
-	form::combo('post_status',$status_combo,$post_status,'','',!$can_publish).
+	form::combo('post_status',$status_combo,$post_status,'',3,!$can_publish).
 	'</label></p>'.
 	
 	'<p><label for="post_dt">'.__('Published on:').
-	form::field('post_dt',16,16,$post_dt).'</label></p>'.
+	form::field('post_dt',16,16,$post_dt,'',3).'</label></p>'.
 	
 	'<p><label for="post_format">'.__('Text formating:').
-	form::combo('post_format',$formaters_combo,$post_format).
+	form::combo('post_format',$formaters_combo,$post_format,'',3).
 	($post_id && $post_format != 'xhtml' ? '<a href="'.html::escapeURL($redir_url).'&amp;id='.$post_id.'&amp;xconv=1">'.__('Convert to XHTML').'</a>' : '').
 	'</label></p>'.
 	
-	'<p><label for="post_open_comment" class="classic">'.form::checkbox('post_open_comment',1,$post_open_comment).' '.
+	'<p><label for="post_open_comment" class="classic">'.form::checkbox('post_open_comment',1,$post_open_comment,'',3).' '.
 	__('Accept comments').'</label></p>'.
-	'<p><label for="post_open_tb" class="classic">'.form::checkbox('post_open_tb',1,$post_open_tb).' '.
+	'<p><label for="post_open_tb" class="classic">'.form::checkbox('post_open_tb',1,$post_open_tb,'',3).' '.
 	__('Accept trackbacks').'</label></p>'.
 	
 	'<p><label for="post_position" class="classic">'.__('Page position:').' '.
-	form::field('post_position',3,3,(string) $post_position).
+	form::field('post_position',3,3,(string) $post_position,'',3).
 	'</label></p>'.
 	
 	'<p><label for="post_lang">'.__('Page lang:').
-	form::combo('post_lang',$lang_combo,$post_lang).'</label></p>'.
+	form::combo('post_lang',$lang_combo,$post_lang,'',5).'</label></p>'.
 	
 	'<p><label for="post_password">'.__('Page password:').
-	form::field('post_password',10,32,html::escapeHTML($post_password),'maximal').
+	form::field('post_password',10,32,html::escapeHTML($post_password),'maximal',3).
 	'</label></p>'.
 	
 	'<div class="lockable">'.
 	'<p><label for="post_url">'.__('Basename:').
-	form::field('post_url',10,255,html::escapeHTML($post_url),'maximal').
+	form::field('post_url',10,255,html::escapeHTML($post_url),'maximal',3).
 	'</label></p>'.
 	'<p class="form-note warn">'.
@@ -489,4 +443,38 @@
 	echo '</div>';		// End #entry-sidebar
 	
+	echo '<div id="entry-content"><fieldset class="constrained">';
+	
+	echo
+	'<p class="col"><label for="post_title" class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Title:').
+	form::field('post_title',20,255,html::escapeHTML($post_title),'maximal',2).
+	'</label></p>'.
+	
+	'<p class="area" id="excerpt-area"><label for="post_excerpt">'.__('Excerpt:').'</label> '.
+	form::textarea('post_excerpt',50,5,html::escapeHTML($post_excerpt),'',2).
+	'</p>'.
+	
+	'<p class="area"><label class="required" '.
+	'for="post_content"><abbr title="'.__('Required field').'">*</abbr> '.__('Content:').'</label> '.
+	form::textarea('post_content',50,$core->auth->getOption('edit_size'),html::escapeHTML($post_content),'',2).
+	'</p>';
+	
+	echo
+	'<p class="area" id="notes-area"><label for="post_notes">'.__('Notes:').'</label>'.
+	form::textarea('post_notes',50,5,html::escapeHTML($post_notes),'',2).
+	'</p>';
+
+	# --BEHAVIOR-- adminPageForm
+	$core->callBehavior('adminPageForm',isset($post) ? $post : null);
+	
+	echo
+	'<p>'.
+	($post_id ? form::hidden('id',$post_id) : '').
+	'<input type="submit" value="'.__('Save').' (s)" tabindex="4" '.
+	'accesskey="s" name="save" /> '.
+	($can_delete ? '<input type="submit" class="delete" value="'.__('Delete').'" name="delete" />' : '').
+	$core->formNonce().
+	'</p>';
+	
+	echo '</fieldset></div>';		// End #entry-content
 	echo '</form>';
 	echo '</div>';
@@ -578,5 +566,5 @@
 	
 	'<form action="comment.php" method="post" id="comment-form">'.
-	'<div class="constrained">'.
+	'<fieldset class="constrained">'.
 	'<p><label for="comment_author" class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Name:').
 	form::field('comment_author',30,255,html::escapeHTML($core->auth->getInfo('user_cn'))).
@@ -598,5 +586,5 @@
 	$core->formNonce().
 	'<input type="submit" name="add" value="'.__('Save').'" /></p>'.
-	'</div>'.
+	'</fieldset>'.
 	'</form>'.
 	'</div>';
